swagger-petstore-0.1.0.0: Auto-generated swagger-petstore API Client

Safe Haskell | None
Language | Haskell2010

SwaggerPetstore.API.User

Contents

- Operations
  - User
    - createUser
    - createUsersWithArrayInput
    - createUsersWithListInput
    - deleteUser
    - getUserByName
    - loginUser
    - logoutUser
    - updateUser

Description

Synopsis

- createUser :: (Consumes CreateUser contentType, MimeRender contentType User) => ContentType contentType -> Accept accept -> User -> SwaggerPetstoreRequest CreateUser contentType res accept
- data CreateUser
- createUsersWithArrayInput :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) => ContentType contentType -> Accept accept -> Body -> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept
- data CreateUsersWithArrayInput
- createUsersWithListInput :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) => ContentType contentType -> Accept accept -> Body -> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept
- data CreateUsersWithListInput
- deleteUser :: Accept accept -> Username -> SwaggerPetstoreRequest DeleteUser MimeNoContent res accept
- data DeleteUser
- getUserByName :: Accept accept -> Username -> SwaggerPetstoreRequest GetUserByName MimeNoContent User accept
- data GetUserByName
- loginUser :: Accept accept -> Username -> Password -> SwaggerPetstoreRequest LoginUser MimeNoContent Text accept
- data LoginUser
- logoutUser :: Accept accept -> SwaggerPetstoreRequest LogoutUser MimeNoContent res accept
- data LogoutUser
- updateUser :: (Consumes UpdateUser contentType, MimeRender contentType User) => ContentType contentType -> Accept accept -> Username -> User -> SwaggerPetstoreRequest UpdateUser contentType res accept
- data UpdateUser

# Operations

## User

### createUser

createUser Source #

Arguments

:: (Consumes CreateUser contentType, MimeRender contentType User) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> User | "body" - Created user object
-> SwaggerPetstoreRequest CreateUser contentType res accept |

    POST /user

Create user

This can only be done by the logged in user.

Note: Has `Produces` instances, but no response schema

data CreateUser Source #

Instances

Produces CreateUser MimeXML Source # |
    application/xml
Produces CreateUser MimeJSON Source # |
    application/json
HasBodyParam CreateUser User Source # | Body Param "body" - Created user object
Methods setBodyParam :: (Consumes CreateUser contentType, MimeRender contentType User) => SwaggerPetstoreRequest CreateUser contentType res accept -> User -> SwaggerPetstoreRequest CreateUser contentType res accept Source #

### createUsersWithArrayInput

createUsersWithArrayInput Source #

Arguments

:: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Body | "body" - List of user object
-> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept |

    POST /user/createWithArray

Creates list of users with given input array

Note: Has `Produces` instances, but no response schema

data CreateUsersWithArrayInput Source #

Instances

Produces CreateUsersWithArrayInput MimeXML Source # |
    application/xml
Produces CreateUsersWithArrayInput MimeJSON Source # |
    application/json
HasBodyParam CreateUsersWithArrayInput Body Source # | Body Param "body" - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) => SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept -> Body -> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept Source #

### createUsersWithListInput

createUsersWithListInput Source #

Arguments

:: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Body | "body" - List of user object
-> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept |

    POST /user/createWithList

Creates list of users with given input array

Note: Has `Produces` instances, but no response schema

data CreateUsersWithListInput Source #

Instances

Produces CreateUsersWithListInput MimeXML Source # |
    application/xml
Produces CreateUsersWithListInput MimeJSON Source # |
    application/json
HasBodyParam CreateUsersWithListInput Body Source # | Body Param "body" - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) => SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept -> Body -> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept Source #

### deleteUser

deleteUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The name that needs to be deleted
-> SwaggerPetstoreRequest DeleteUser MimeNoContent res accept |

    DELETE /user/{username}

Delete user

This can only be done by the logged in user.

Note: Has `Produces` instances, but no response schema

data DeleteUser Source #

Instances

Produces DeleteUser MimeXML Source # |
    application/xml
Produces DeleteUser MimeJSON Source # |
    application/json

### getUserByName

getUserByName Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The name that needs to be fetched. Use user1 for testing.
-> SwaggerPetstoreRequest GetUserByName MimeNoContent User accept |

    GET /user/{username}

Get user by user name

data GetUserByName Source #

Instances

Produces GetUserByName MimeXML Source # |
    application/xml
Produces GetUserByName MimeJSON Source # |
    application/json

### loginUser

loginUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The user name for login
-> Password | "password" - The password for login in clear text
-> SwaggerPetstoreRequest LoginUser MimeNoContent Text accept |

    GET /user/login

Logs user into the system

data LoginUser Source #

Instances

Produces LoginUser MimeXML Source # |
    application/xml
Produces LoginUser MimeJSON Source # |
    application/json

### logoutUser

logoutUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest LogoutUser MimeNoContent res accept |

    GET /user/logout

Logs out current logged in user session

Note: Has `Produces` instances, but no response schema

data LogoutUser Source #

Instances

Produces LogoutUser MimeXML Source # |
    application/xml
Produces LogoutUser MimeJSON Source # |
    application/json

### updateUser

updateUser Source #

Arguments

:: (Consumes UpdateUser contentType, MimeRender contentType User) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Username | "username" - name that need to be deleted
-> User | "body" - Updated user object
-> SwaggerPetstoreRequest UpdateUser contentType res accept |

    PUT /user/{username}

Updated user

This can only be done by the logged in user.

Note: Has `Produces` instances, but no response schema

data UpdateUser Source #

Instances

Produces UpdateUser MimeXML Source # |
    application/xml
Produces UpdateUser MimeJSON Source # |
    application/json
HasBodyParam UpdateUser User Source # | Body Param "body" - Updated user object
Methods setBodyParam :: (Consumes UpdateUser contentType, MimeRender contentType User) => SwaggerPetstoreRequest UpdateUser contentType res accept -> User -> SwaggerPetstoreRequest UpdateUser contentType res accept Source #